GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - r -

- Range() : gtpin::GtMemoryBuffer
- range : gtpin::GtMemoryBuffer
- Read() : gtpin::GtProfileTrace , gtpin::IGtMemoryMapper , gtpin::GtProfileArray , gtpin::IGtProfileBuffer
- RecordOffset() : gtpin::GtProfileArray
- RecordSize() : gtpin::GtProfileArray
- Reg() : gtpin::GtPredicate , gtpin::GtRegRegion , gtpin::GtDstRegion , gtpin::IGtIret
- RegAllocator() : gtpin::IGtGenCoder
- RegisterEventHandler() : gtpin::IGtCore
- RegisterTool() : gtpin::IGtCore
- RegNum() : gtpin::GtReg
- Release() : gtpin::UniquePtr< T, D >
- ReleaseAllReserved() : gtpin::IGtRegAllocator
- ReleaseReserved() : gtpin::IGtRegAllocator
- RemoveInstruction() : gtpin::IGtKernelInstrument
- ReportFinalDispatchStage() : gtpin::IGtKernelDispatch
- RequiredSubregNum() : gtpin::IGtVreg
- Reserve() : gtpin::IGtRegAllocator
- ReserveAll() : gtpin::IGtRegAllocator
- ReserveVregOperands() : gtpin::IGtRegAllocator
- Reset() : gtpin::GtCoreString , gtpin::Knob< T > , gtpin::IGtKnobArg , gtpin::UniquePtr< T, D >
- Resize() : gtpin::GtReg
- Revision() : gtpin::IGtCore
- runtime : gtpin::GtOclExecDesc , gtpin::GtL0ExecDesc

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT